Screen flickers or blanks every 10 s with KDE4

Bug #278471 reported by crwl on 2008-10-05
194
This bug affects 15 people
Affects Status Importance Assigned to Milestone
kdelibs
Unknown
Medium
kdebase-workspace (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-radeonhd (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: kwin

After yesterday's upgrade in Intrepid, the whole KDE desktop is flickering - vertical lines very briefly show up on the screen about every 10 seconds, which makes desktop usage really distracting. The flickering effect is hard to describe, but it occurs on the whole screen and only when running KDE 4. I'm using the open source radeonhd driver with Radeon HD 3850. I tagged the bug to be in kwin, but it might as well be in libplasma2 or kdebase or in any other package that provides KDE 4 basic technologies.

I have same problem (same KDE4 version as above).

My configuration is HP nx7400 + LG 226WTQ. External monitor is connected though D-Sub.

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

Currently I'm using KDE3 where this configuration works properly.

This bug still exists in Version 4.1.2 (KDE 4.1.2) "release 44.2".

Yes, I have the same horrible experience :-(

83 comments hidden view all 122 comments
crwl (crwl) wrote :

Switching kwin to metacity within KDE session doesn't seem to help, so the culprit probably isn't kwin but something else. GNOME works fine.

Jonathan Thomas (echidnaman) wrote :

Probably either the driver or Xorg.

Auke Latour (auke-public) wrote :

I can confirm this.

I have the same behaviour on my notebook (Acer Aspire 3610)

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

Changed in xserver-xorg-video-radeonhd:
status: New → Confirmed
Auke Latour (auke-public) wrote :

Additional info:
The KDE4 login screen is not flickering. Once logged in, the periodical flickering behaviour (8sec) starts.

crwl (crwl) wrote :

Same here, login screen doesn't flicker, neither does Gnome session.

05:00.0 VGA compatible controller: ATI Technologies Inc Radeon HD 3850

Different display adapters and drivers - probably a Xorg or KDE4 bug. I'm betting KDE4 - Xorg doesn't seem to have been updated for a while and this just began occurring yesterday. I've been using Intrepid for several weeks now, running aptitude dist-upgrade daily.

Same here, using Intrepid for weeks and updating daily. Didn't update during the weekend and today's (monday's) update triggered the annoying flickering behavior. These are the packages that were updated today:

update-motd; landscape-common; landscape-client; libgomp1; gcc-4.3-base; libstdc++6; cpp-4.3; gcc-4.3; g++-4.3; libstdc++6-4.3-dev; libgcc1; binutils; python2.5; python2.5-minimal; libqt4-opengl-dev; libqt4-dev; libqt4-xmlpatterns; qt4-qtconfig; libqt4-qt3support; libqt4-gui; libqt4-designer; libqt4-core; libqt4-script; libqt4-dbus; libqt4-test; libqt4-webkit; libqt4-assistant; libqt4-help; libqt4-network; libqt4-sql-mysql; libqt4-sql; libqt4-svg; libqt4-opengl; libqtgui4; libqt4-xml; libqtcore4; kdelibs5-dev; kdelibs-bin; kdelibs5-data; kdelibs5; adept; binutils-static; libck-connector0; consolekit; gwenview; kamera; libkdecorations4; libkwineffects1; kde-window-manager; kdebase-workspace-bin; libplasma2; kdebase-workspace-data; kdebase-workspace-libs4+5; kdm; kgamma; kgrubeditor; klipper; kruler; ksnapshot; ksysguardd; ksysguard; libavutil49; libavcodec51; libpam-ck-connector; libpostproc51; linux-libc-dev; linux-restricted-modules-common; linux-source-2.6.27; splix; systemsettings; xserver-xorg-input-evdev; xserver-xorg-video-radeon; xserver-xorg-video-ati; kcolorchooser; kdegraphics-strigi-plugins; kolourpaint4; konqueror-plugin-searchbar; libksane0; libokularcore1; mencoder; mplayer; okular; skype; skype-common; linux-image-2.6.27-5-generic; linux-restricted-modules-2.6.27-5-generic; alsa-oss; linux-generic; linux-image-generic; linux-restricted-modules-generic; linux-headers-2.6.27-5; linux-headers-2.6.27-5-generic; linux-headers-generic; libkipi5; libkipi-common

I don't think it's the new kernel's fault because I booted with the old kernel and the problem continues. This is my video card (from lspci):

00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

Oh, I forgot to mention: changing the resolution doesn't do any good. I can't change refresh rate so I didn't try that. Also, disabling desktop effects doesn't solve the problem.
Thanks.

ibi (wjbleck) wrote :

I've got a similar issue running the Intel 910GM series as well. My flicker seems to be redrawing elements of the desktop in different locations, not just vertical lines.
good luck guys

My flickering also works like ibi's. Not vertical lines, but redrawings of parts of the screen.

An interesting fact: I recorded a video of the desktop using krecordmydesktop (frontend for recordmydesktop) and then I watched it in another computer (running Windows) and there is no flickering at the capture. recordmydesktop seems to receive the screen data before the monitor does, and somewhere between recordmydesktop and the monitor there's something wrong...

Hope that helps (in case any of the developers knows how recordmydesktop words, it could).

Tormod Volden (tormodvolden) wrote :

Do you get flickering when running the "xrandr -q" command? Is it the same?

Aurélien COUDERC (coucouf) wrote :

I can also confirm the bug on my machine : flickering horizontal lines every few seconds.
01:00.0 VGA compatible controller: ATI Technologies Inc RV670PRO [Radeon HD 3850]

It is *indeed* the same type of output I get when running "xrandr -q" !!

sciasbat (fabio-forno) wrote :

I confirm the problem with this card
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

And I also confirm that the same flickering is reproduced by running xrandr -q

73 comments hidden view all 122 comments

I faced the same issue until I disabled the service "Detecting RANDR (monitor) changes" in Service Manager (System Settings -> Advanced Tab -> KDE Service Configuration).

Maybe this should prove additional hint to the developers about the root cause of this issue.

Regards,
Kanwar

72 comments hidden view all 122 comments
crwl (crwl) wrote :

Yes, xrandr -q reproduces the same flickering on my Ati system with radeonhd driver.

I can also confirm xrandr -q reproduces the same flickering here.

00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

Tormod Volden (tormodvolden) wrote :

This is the KDE equivalent to bug #245383. A component of KDE is calling XRRGetScreenResources excessively. And for many cards/drivers/setups this causes a screen flicker. Although some drivers, like -ati, have been improved to avoid flickering in many cases, the best would be to fix KDE in the same way as gtk+2.0 was fixed.

71 comments hidden view all 122 comments

Thank you Kanwar! Your fix worked for me also.

Eric

70 comments hidden view all 122 comments
Mark J. Schmidt (mrkjschmidt) wrote :

Also have Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller and have the same issue. And sometimes if I restart x it randr will crash. Flickering still happens but it does crash.

Is it possible to revert a (some) package(s) to a previous version until the issue is fixed? Does anyone know which packages and where to get the previous versions?

Any other workarounds available?

Thanks

Aurélien COUDERC (coucouf) wrote :

This was fixed for me with one of the last two days updates. A few dozen of packages were updated so I don't know exactly which one did it.

Mark Hammond (thewhymy) wrote :

However, this was not fixed for me (00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03))

For me neither. I have the same card as Mark and I'm still experiencing the flickering.

00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

crwl (crwl) wrote :

KDE4 still flickers with the radeonhd driver too.

ibi (wjbleck) wrote :

I no longer get flickering with the
00:02.1 Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
card, excepting once each logon, but I can still force it with xrandr -q. It was fixed for me with the update on October 8th.

Mark J. Schmidt (mrkjschmidt) wrote :

Exact same results after upgrade as ibi, same card same results exactly.

Aurélien COUDERC (coucouf) wrote :

I reported the issue was solved a bit too fast.
It didn't happen anymore yesterday for some reason but it is definitely there again today (with radeonhd)...

ibi (wjbleck) wrote :

I can confirm that after another restart mine has started flickering again too. I spoke too soon.

ilowman (ianl-eidosnet) wrote :

Mine disappeared for a while but has returned after a restart. I have a Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03) in my Acer Laptop.

MoonRise (moonrise7) wrote :

I posted this on this Bug Reports as my original bug report was tagged as duplicate and move to this one, but this bug report here sounds like my issue. The Link --> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/275152

My original post:
I can verify this with my ACER 3618 laptop with 2GB RAM and the Intel GMA915. I have tested on other machines that have the GMA3100 display card and it does not occur with those, at least not that can be seen by the eye. Running Kubuntu Intrepid 8.10 up to date as of 2008-10-09 8:00am EDT. The flickering occurs between 7 and 12 seconds, does it very periodic. Why it does not affect the GMA3100 when it is using the same driver, I'm not sure, but it could have to do how it is connecting to the GMA915 vs GMA3100. I've read of a lot of this problem on the Ubuntu and Kubuntu sites. I've tried Ubuntu and it does not do this, ONLY Kubuntu.

MoonRise (moonrise7) wrote :

Well...I was able to get the Ubuntu Live-CD to flicker the same way as Kubuntu. It doesn't do it at the 7 to 12 second frequency though. Only when you do a certain function and that is:

Control Center --> Hardware --> Screen Resolution.

As soon as I click Screen Resolution, it flickers just like mine is doing under Kubuntu. The only difference is that is stops once the Screen Resolution window appears.

ilowman (ianl-eidosnet) wrote :

I've managed to get the flickering to stop by killing the kded4 process, unfortunately I have no idea what kded4 is for but keyboard shortcuts seem to have stopped working! :)

ilowman (ianl-eidosnet) wrote :

I've found out what kded4 is now and the problem is the Detecting RANDR (Monitor) changes service.
If you stop that service in system settings the flickering stops and kded4 can still be run.

MoonRise (moonrise7) wrote :

I can verify what iloman wrote. Disabling that service has stopped the flickering.

MoonRise (moonrise7) wrote :

I can verify what ilowman wrote. Disabling that service has stopped the flickering.

I can also confirm that stopping either kded4 or the Detecting RANDR (Monitor) changes service stops the flickering. Can anyone say what stops working when this service is disabled? I'm guessing KDE won't be able to detect new monitors and maybe I wouldn't be able to use an external CRT/beamer?

54 comments hidden view all 122 comments

Yes! It works for me too. Thanks Kanvar
BTW - at openSUSE 11 I can see System Settings as Personal Settings ;?)

53 comments hidden view all 122 comments
savasten (savasten) wrote :

Also confirming ilowman's observation killing kded4 does fix the screen flicker for me. Then I noticed my hotkeys not working so I restarted kded4 using krunner the screen flicker was still gone.

dipsol (martin-diphoorn) wrote :

I can verify what iloman wrote. Disabling that service has stopped the flickering.

For people who cannot find this option:
1. go to System settings in the menu
2. Press the Advanced tab
3. Select the Service Manager
4. Stop the Detecting RANDR(monitor) changes
5. Also tick the checkbox use, so it won't startup again
6. Press apply and close the window

I hope you're flickering is gone now!

Richard Johnson (nixternal) wrote :

AHHH! You guys rock! This totally does help. What I will do is put up a blog post that shows up on Planet Ubuntu and Planet KDE just in case anyone else is experiencing this problem. Great job on figuring this one out as it has been killing me for the past few days.

Yves Marcoz (yves-marcoz) wrote :

I was experiencing the same flickering with my dual-monitor setup in KDE4. I disabled the TV and TMDS-1 output (I got the names from xrandr, which was showing them as additional outputs to LVDS and VGA), by changing my /etc/X11/xorg.conf file with the following options:

Section "Device"
        Identifier "Configured Video Device"
        Driver "intel"
        Option "monitor-TMDS-1" "dvi"
        Option "monitor-TV" "tv"
        Option "monitor-VGA" "vga"
        Option "monitor-LVDS" "lvds"
EndSection

Section "Monitor"
        Identifier "dvi"
        Option "Ignore" "true"
EndSection

Section "Monitor"
        Identifier "tv"
        Option "Ignore" "true"
EndSection

51 comments hidden view all 122 comments

I noticed that I had old X server (1.4.0.90
Release Date: 5 September 2007). I updated it from this repository (http://download.opensuse.org/repositories/X11:/XOrg/openSUSE_11.0/ => X Server 1.5.2 Release Date: 10 October 2008) and I can enable the service "Detecting RANDR (monitor) changes" without problems. This solution needs verification because I made several other updates.

50 comments hidden view all 122 comments
Paul Fee (pfee) wrote :

Does this issue affect kubuntu 8.04 with KDE4.1.2 (installed via http://ppa.launchpad.net/kubuntu-members-kde4/ubuntu)?

I've been getting flickers (as if the DVI signal had been removed and then added again). However unlike the other posts here, "xrandr -q" does not reproduce the flicker.

Also the "Detecting RANDR(monitor) changes" service isn't listed when I followed the System settings advice mentioned previously. Any workaround advice for 8.04 users? Would upgrading to 8.10 be the best solution?

I have a Thinkpad T42p with ATI FireGL Mobility T2 graphics. I'm using an external display connected to DVI-0, internal (LVDS) is disabled via "xrandr --output LVDS --off".

krangal (eduard-mengel) wrote :

Kubuntu 8.04 with KDE 4.1.2 workd for me without flicker.

For me (now in Intrepid) the screen flickered but Ilowman was right.
His tip helped with the flicker problem but did not solve the real problem.

Terry (terry-kryogenic) wrote :

I did not get flickering but I noticed spikes in Xorg every ~10 seconds. These spikes were visibly noticeable to me during video playback. xrandr -q does not reproduce the problem in my case, it seems to be more of a prolonged thing compared with the spikes. Disabling "Detecting RANDR(monitor) changes" did however stop the problem.

Changed in kdelibs:
status: Unknown → New
Bryce Harrington (bryce) on 2008-11-07
Changed in xserver-xorg-video-radeonhd:
status: New → Incomplete
Changed in meta-kde:
status: Confirmed → Triaged
Changed in kdelibs:
status: New → Unknown
49 comments hidden view all 122 comments

*** Bug 173521 has been marked as a duplicate of this bug. ***

Changed in kdelibs:
status: Unknown → New

thank you kawar ,it works for me too on opensuse 11

this is an opensuse addition, and in upstream we now have Kephal that does this for us.

Changed in kdelibs:
status: New → Invalid
Changed in kdebase-workspace:
milestone: none → ubuntu-9.04
status: Triaged → Fix Committed
Changed in xserver-xorg-video-radeonhd:
status: Incomplete → Invalid
Changed in kdebase-workspace:
status: Fix Committed → Fix Released

*** Bug 173056 has been marked as a duplicate of this bug. ***

*** This bug has been confirmed by popular vote. ***

Could you please re-open this bug. It has not yet been fixed and the problem is better/worse for KDE 4.2: The interval is down to a few minutes, but it's the same problem and you can't disable the randr service now!

Please re-open this bug. This issue has now reappeared and it cannot be resolved by turning off the RANDR service as its now part of on-demand services list.

I have noticed this bug active in 4.2 as well as 4.3 SVN ...

no, because this has nothing to do with plasma. see my earlier comment.

Aaron, this happens in Kubuntu, Mandriva, Pardus, Charka (based on archlinux) ... basically every distribution that ships updated KDE4! Being a distro-junkie, I have a 5-way multi-boot machine and all of the mentioned distributions are installed at their latest releases.

Since my monitor setup is obviously the same, this "bug" is not restricted to openSUSE.

Having said that, I would like to know how to use kephal for configuration of multiple screens/monitors.

@Kanwar Plaha: i can list other bugs in x.org drivers, for instance, that are visible on all those distributions too and only with KDE4 applications. this is unsurprising because they are/were all using the same driver with the same bug(s).

this bug is not related to plasma, however. it might be related to kephal, and even then it's quite possible (perhaps even probable) that kephal is exposing a bug in some combination of x.org driver, xrandr version and/or x.org release.

reporters could start by listing the graphics hardware used along with the graphics driver, xrandr and x.org driver version.

"bug" in RandRScreen::pollState()

See http://bugzilla.novell.com/427645 for all the ugly details (up to comment #15, roughly, the bugreport is about a SUSE-specific piece of code doing basically the same).

The polling should only happen if activated in the configuration (defaulting to false). If activated it polls every 10 seconds.
The config is at ~/.local/screen-configurations.xml, there should be an entry <polling>false</polling>.

Please let me know, if this doesnt solve the issue.
:-)

@Aike: I found the entry <polling>false</polling> in ~/.local/screen-configurations.xml. Yes, it is false.

However, I need to clarify something about the laptop I am using. Its an HP Compaq 6530b. The laptop, per se, does not have an HDMI port. But the docking station I use has HDMI port.

xrandr -q gives:

Screen 0: minimum 320 x 200, current 1440 x 1950, maximum 2400 x 2400
VGA connected (normal left inverted right x axis y axis)
   1400x1050 60.0 +
   1600x1200 60.0 + 60.0 60.0
   1792x1344 60.0
   1280x1024 60.0 60.0
   1280x960 60.0 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 60.0 59.9
LVDS connected 1440x900+0+1050 (normal left inverted right x axis y axis) 303mm x 189mm
   1440x900 60.0*+
HDMI-1 connected 1400x1050+0+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1400x1050 74.8*+ 60.0
   1600x1200 60.0 + 60.0
   1280x1024 85.0 85.0 75.0 60.0 60.0
   1280x960 85.0 60.0 60.0
   1152x864 75.0
   1024x768 85.0 85.0 75.1 75.0 70.1 60.0
   832x624 74.6
   800x600 85.0 85.1 72.2 75.0 60.3 56.2
   640x480 85.0 85.0 75.0 72.8 75.0 60.0 59.9
   720x400 85.0 70.1
   640x400 85.1
   640x350 85.1
HDMI-2 disconnected (normal left inverted right x axis y axis)
TV disconnected (normal left inverted right x axis y axis)

The external monitor is HP LP2065. It has a VGA as well as HDMI input. Currently, I am using HDMI port with 1400x1050 resolution. However, if I switch to the optimal resolution of 1600x1200, I cannot open a browser window maximized on the external monitor. It just goes blank and then blinks at regular interval. If, however, I have konsole on the external monitor, it works fine (even maximized.)

At 1400x1050, everything is working well, though.

I hope this gives some more insight into the issue.

Cheers.

@Kanwar: The problem you are describing is not related to any xrandr-polling. I'm pretty sure about that.
I have no idea what might be causing your issues, to get this resolved, you should open a new bug-report and describe your problem with even more detail, especially which applications work maximized/not maximized/not at all.

Changed in kdelibs:
status: Invalid → Confirmed

@Aike: Its the browsers, always, including konqueror. Also, systemsettings. Basically, any window other than konsole!

not a KDE 4.2.2 blocker

Kanwar Plaha: See comment #26. Include especially information about your gfx driver, compositing enable/disabled and whether 'konsole --notransparency' affects anything.

Rest of people: Can somebody still confirm the original problem with 4.2?

@Dirk: This was never an issue until 4.1 where KDE randr service was a user controlled one and I could turn if off, as you can see in the bug thread above. That always resolved the flicker issue.

How do I post a request to put the RANDR service back to a list of user controlled ones? Currently, its on the on-demand list and cannot be disabled, if reuired.

Could we please try to find a fix for this problem before 4.3?

Who is responsible for KDE's randr implementation?

Does anyone know where the corresponding code is located in KDE 4.2? Couldn't we (the very least) simply make the randr service user-controllable again.

Aike and others: Would you please stop pretending there wasn't a problem until you've confirmed that the previous problems are really fixed? From 4.1 to 4.2 the situation actually got worse, because now people claim there isn't a bug AND it's seemingly _not_ possible to disable xrandr manually.

See the comments in http://linux-tipps.blogspot.com/2009/03/fixing-high-latency-with-kde4-display.html: There are people, who have "disabled" in their ~/.local/screen-configurations.xml, but still they get xrandr polling in their xorg log again after upgrading from 4.1 to 4.2. So how can people keep saying there's no problem. I've accepted that I have to skip 4.2 and stay with KDE 4.1 for now, but I'd really like to be able to use 4.3 again.

The reason for not digging anymore into this, is that there has been no useful reply for our questions. The only person who responded was Kanwar, and his problem seems to be different (judging from the symptoms).
Could yo please supply more information? Especially what distribution, what version, which gfx-chip, what driver?

:-)

I believe I'm seeing the same problem, though for me, the polling is so severe that upon logging in from kdm, xorg take 100% of the CPU and eventually has to be killed. This began when I attached a second display to my machine.

I'm using Kubuntu 9.04, with KDE 4.3 RC3. I tried 4.2.4 and encountered this bug, so I moved to the most recent version to see if it would be fixed. I'm using the fglrx driver with a Radeon HD 2400 XT card.

The messages filling my Xorg.0.log look like:
(II) fglrx(0): EDID vendor "DEL", prod id 40993
(II) fglrx(0): Modeline "1152x864"x0.0 108.00 1152 1216 1344 1600 864 865 868 900 +hsync +vsync (67.5 kHz)
(II) fglrx(0): EDID vendor "DEL", prod id 40993
(II) fglrx(0): Using hsync ranges from config file
(II) fglrx(0): Using vrefresh ranges from config file
(II) fglrx(0): Printing DDC gathered Modelines:
(II) fglrx(0): Modeline "1600x1200"x0.0 162.00 1600 1664 1856 2160 1200 1201 1204 1250 +hsync +vsync (75.0 kHz)
(II) fglrx(0): Modeline "800x600"x0.0 40.00 800 840 968 1056 600 601 605 628 +hsync +vsync (37.9 kHz)
(II) fglrx(0): Modeline "640x480"x0.0 31.50 640 656 720 840 480 481 484 500 -hsync -vsync (37.5 kHz)

and so on, in perpetuity.

In the past, it has occasionally stopped the polling and allowed me to work normally, but the polling always begins again when running xrandr, even if just querying.

If there's any more information I can provide to move this along, I'd appreciate it. At this point I'm forced to decide between using only one of my displays or not running KDE, and neither option is very appealing to me.

Thanks.

Todd

Greetings!

I would like to add that I'm suffering the same problem on several machines, with a variety of display controllers - SiS, VIA, nvidia, ATI old and new, Permedia, you name it.

They all have one thing in common: Once flawless, their displays start twitching, flickering, or even cutting out for a second as soon as you run something from KDE4.

Whenever any window border or other KDE related widget is drawn, the twitching and flickering starts. Just scrolling a window about or clicking something in the Kontrol bar gets me a minor earthquake on the screen.

However, if you manage to just draw contents, not windows and widgets, the display calms down to flawless again. For example, you can watch a three-hour movie in fullscreen without a single hickup. MythTV sessions are flawless too, and so are other-window-manager sessions ... exactly for as long as you don't start a KDE application.

That rules out any suspicion of bandwidth constraints for the chipset integrated solutions - and so does the fact that my discretes suffer the same symptoms.

Since all these machines have run on KDE 3.5 without any such symptoms whatsoever, and since they all behave just as flawless as they ever did when not using KDE4 at all, I am very convinced this is a symptom triggered by KDE4.

The boxes are all openSUSE 11.1, originally on KDE 4.1 but now upgraded to 4.2.4 via the official openSUSE "KDE4 reloaded" repository. X video drivers are nv, sis, ati, glint, radeon. Some are 32-bit, some are 64-bit installations.

On some of these I skipped KDE 4.1, on those I did start on 4.1 I had the same symptoms - and sorry, I missed the opportunity to disable that KRandR service before the checkbox for it disappeared.

Now, having some experience in low level display chip programming myself, the idea that frequent monitor redetection is causing this sounds very very convincing to me. I know that for VGA monitor detection, one inherently needs to turn the RGB lines off for a brief moment, and I also know that many monitors do blank out while talking on DDC.

If any further information is needed, or if something needs a trial run, please let me know.

First thing I'd like to know, to assist the process, is a way to turn the display detection mechanism off in KDE 4.2 - even if it's an ugly hack, anything goes, just to confirm whether we're barking up the right tree.

Many thanks in advance!

best regards,
Peter

Greetings!

Me again ... I just come from trying openSUSE 11.2-milestone-6, and I'm disappointed to say the bug still exists, with exactly the same symptoms.

best regards,
Peter

Hmm...

This sounds really weird, i'm pretty convinced it has nothing to do with polling (and as such is different from the flickering, which could be disabled in 4.1). One way to confirm this assumption would be if you could give me the interval in which this occurs, as precise as possible. If this was related to polling, it should happen once every few seconds, the comments sound more like its happening much more heavily!

There might possibly some xrandr-packages being tossed around (resizes without actual changes perhaps), i'll look into this and report back here...

:-)

(In reply to comment #36)
> One way to confirm this assumption would be if you could give me the
> interval in which this occurs, as precise as possible. If this was related to
> polling, it should happen once every few seconds, the comments sound more like
> its happening much more heavily!

Hi Aike. I can attest that in my case, it's happening _much_ more frequently than that. In fact, the CPU is spending virtually all of its time identifying the monitor (or at least getting its supported modes) and filling the Xorg.0.log as I mentioned above. This is still happening with KDE 4.3.1 if I enable Desktop Effects. It even happens when I run xrandr -q, though only for 5 to 30 seconds, depending on some random factor I can't pin down, but at least it eventually stops. It never stops with Desktop Effects on and I have to eventually kill X.

> There might possibly some xrandr-packages being tossed around (resizes without
> actual changes perhaps), i'll look into this and report back here...

Is there any more information I can provide that would help identify if this is the case?

Thanks!

Todd

This at least leads to another question: How is that for the others who suffer from this problem, any difference between effects enabled and disabled?

I'll be checking on that ... although on the SiS and ATI Rage graphics, I'm pretty sure desktop effects aren't even supported to begin with.

Sorry for the delay ... I checked, effects are off (unsupported even) on the SiS machine.

I've got some info on how to reproduce this bug on an affected system, some of the triggering events for the screen flickering and the pattern of the flickering.

Firstly leave the system completely alone for 45 secs. No mouse and keyboard input.
When you cause the blinking to be triggered (specific triggers given below) the first blink will happen about 1 second after the triggering event, now you should not create any further input on mouse or keyboard. There will be a second blink after 30 secs and a third at 45 secs after the trigger. These intervals are exact and repeatable at every attempt. This may be why the blinking seems random at first because some of the flickering is caused by what you did 30 and 45 seconds ago. I can't see any further blinking after 45 secs if I leave the system alone. After the 45 seconds you can use the same trigger to start the 3 blink cycle over again.

Some triggers for the initial blink I have found:
1.) Minimising a window with the minimise window composite effect enabled. Disabling this composite effect will stop the blink from happening when a window is minimised.
2.) Click and hold on a window titlebar such that the transparency effect is enabled. Simply clicking the titlebar will not trigger the blink, you have to hold until the transparency happens.

With window compositing completely disabled it is still possible to cause the blinking with these triggers in applications where there is a scrollbar:
3.) In konqueror go to a web page that is long enough to cause the scrollbar to appear and then using the scroll area of a laptop touchpad scroll all the way to the bottom of the page and keep scrolling down after the bottom of the page is hit. I can not get this to happen in the same way with a mouse scroll wheel. Nor can I cause the trigger by clicking on the scrollbar up/down buttons or by clicking in an empty area of the scrollbar. I can get it to happen with a mouse scroll wheel by rapidly wheeling down then up then down in rapid succession. This rapid up and down also works with the touchpad scroll area to trigger the blink. Holding the scrollbar button and dragging it also seems to cause the blink but I can't pinpoint the exact trigger event.

4.) Same as above but only in kickoff when you have selected a tab with lots of entries that causes a scrollbar to appear. Touchpad scroll area used to scroll down past the bottom will cause the blink.

I'm a software engineer but not a Qt/Kde or linux one so I can only be of limited help to debug further. My system is kubuntu 9.04 with kde 4.3.2 from the backport ppa but I seem to remember this annoying problem throughout kde4 release cycle. I'll provide any further info about my system on request.

savasten (savasten) on 2010-03-02
Changed in xserver-xorg-video-radeonhd (Ubuntu):
status: Invalid → Fix Released

*** Bug 219440 has been marked as a duplicate of this bug. ***

Changed in kdelibs:
importance: Unknown → Medium

Still present here (I think):

https://bugs.freedesktop.org/show_bug.cgi?id=34237

Any idea to solve? Thanks

Thank you for your bug report or feature request.

Unfortunately, we did not have a maintainer for the "kephal" component, which is used to manage displays and monitors in the KDE Workspaces.

The "kephal" component has been superseded by "KScreen" in newer releases of the KDE Workspaces. It is compatible with all versions since 4.11, and is also used with Plasma 5. Please check with your distribution how to update to KScreen.

If this issue or feature request is still applicable to KScreen version 1.0.5 or newer, please add a comment. We will then reassign this ticket to KScreen developers.

If you are already using KScreen to manage displays or monitors, and found a different bug or need a specific feature, please create a new ticket for "KScreen" product in this bugzilla using this link: https://bugs.kde.org/enter_bug.cgi?product=KScreen

(This is an automatic message from the KDE Bug Triaging Team)

Changed in kdelibs:
status: Confirmed → Unknown
Displaying first 40 and last 40 comments. View all 122 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.